# Version SVN: $Id: schema.yml 76 2013-08-11 10:10:22Z sven.poeche $
propel:
  _attributes:              { package: plugins.stFacebookConnectPlugin.lib.model }

  user_facebook:
    _attributes:            { phpName: UserFacebook, allowPkInsert: true }
    fbuid:                  { type: varchar, size: 255, required: true, primaryKey: true }
    uid:                    { type: integer, size:  11, required: true }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _foreignKeys:
      ufb_fk_uid:           { foreignTable: user, references: [ {local: uid, foreign: uid} ] }
    _indexes:
      ufb_i_fbuid:          [fbuid]
      ufb_i_uid:            [uid]
